/***************************************************************
 * Name:      dialogo.h
 * Purpose:   Defines Dialog dialogo
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-09
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef DIALOGO_H
#define DIALOGO_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "paresvalidator.h"

class datosDialogo
{
    public:
        datosDialogo(int v) : enteropar(v) {}

    //private:
        int enteropar;
};

class dialogo : public wxDialog
{
    public:
        dialogo(wxWindow *wnd, datosDialogo &datos);
        virtual ~dialogo();

    protected:
        enum
        {
            idTextCtrl = 1000,
        };
        datosDialogo& data;
        wxTextCtrl* m_textCtrl;

    private:
        void OnClose(wxCloseEvent& event);
        void OnOk(wxCommandEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // DIALOGO_H
