/***************************************************************
 * Name:      paresvalidator.h
 * Purpose:   Defines paresValidator
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-10
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef PARESVALIDATOR_H
#define PARESVALIDATOR_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include <wx/validate.h>

class paresValidator : public wxValidator {
public:
    paresValidator(int *n=nullptr);
    //virtual ~paresValidator() {}
    virtual wxObject* Clone() const { return new paresValidator(*this); }
    virtual bool TransferFromWindow();
    virtual bool TransferToWindow();
    virtual bool Validate(wxWindow * parent);
private:
    int *m_numeropar;
    DECLARE_DYNAMIC_CLASS( paresValidator )
    DECLARE_EVENT_TABLE()
};

#endif // PARESVALIDATOR_H
