/***************************************************************
 * Name:      wx004bApp.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-10
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx004bApp.h"
#include "wx004bMain.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx004bApp);

bool wx004bApp::OnInit()
{
    wx004bFrame* frame = new wx004bFrame(0L, _("wxWidgets Application Template"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
